×

INDI Library v1.9.8 Released (29 Sep 2022)

Bi-monthly INDI Library released with new drivers and bug fixes.

Install INDI server on Ubuntu - failing

  • Posts: 60
  • Thank you received: 7
WO ZS61 II, ASI183MC Pro, ZWO 120MM-S Guider, ZWO EAF, HEQ5 Pro, INDI/EKOS on Ubuntu 20.04
3 months 4 days ago #85784

Please Log in or Create an account to join the conversation.

  • Posts: 10
  • Thank you received: 0
Here';s a script record of my attempt to execute "sudo apt-get install indi-full gsc"

Script started on 2022-08-27 12:37:07-04:00 [TERM="xterm-256color" TTY="/dev/pts/0" COLUMNS="85" LINES="39"]
sudo apt-get install indi-full gsc
[sudo] password for kkkkkkkkk

Reading package lists... 0%

Reading package lists... 100%

Reading package lists... Done


Building dependency tree... 0%

Building dependency tree... 0%

Building dependency tree... 50%

Building dependency tree... 50%

Building dependency tree... Done


Reading state information... 0%

Reading state information... 0%

Reading state information... Done

You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
gsc : Depends: gsc-data (>= 1.3~ubuntu22.04.1) but it is not going to be installed
indi-full : Depends: indi-eqmod but it is not going to be installed
Depends: indi-sx but it is not going to be installed
Depends: indi-apogee but it is not going to be installed
Depends: indi-asi but it is not going to be installed
Depends: indi-aagcloudwatcher-ng but it is not going to be installed
Depends: indi-ffmv but it is not going to be installed
Depends: indi-dsi but it is not going to be installed
Depends: indi-qhy but it is not going to be installed
Depends: indi-gpsd but it is not going to be installed
Depends: indi-mi but it is not going to be installed
Depends: indi-duino but it is not going to be installed
Depends: indi-fli but it is not going to be installed
Depends: indi-nexdome but it is not going to be installed
Depends: indi-gpsnmea but it is not going to be installed
Depends: indi-armadillo-platypus but it is not going to be installed
Depends: indi-mgen but it is not going to be installed
Depends: indi-shelyak but it is not going to be installed
Depends: indi-nightscape but it is not going to be installed
Depends: indi-toupbase but it is not going to be installed
Depends: indi-atik but it is not going to be installed
Depends: indi-avalon but it is not going to be installed
Depends: indi-starbook but it is not going to be installed
Depends: indi-starbook-ten but it is not going to be installed
Depends: indi-astromechfoc but it is not going to be installed
Depends: indi-dreamfocuser but it is not going to be installed
Depends: indi-aok but it is not going to be installed
Depends: indi-talon6 but it is not going to be installed
Depends: indi-pentax but it is not going to be installed
Depends: indi-celestronaux but it is not going to be installed
Depends: indi-sv305 but it is not going to be installed
Depends: indi-bresserexos2 but
3 months 3 days ago #85793

Please Log in or Create an account to join the conversation.

  • Posts: 10
  • Thank you received: 0
The command "sudo apt-get --fix-broken install" appears to be working better to day - it fixed something. I went ahead and installed KSTARS and that seem to go well though something is still incomplete or broken..

When I try to run KSTARS, the program crashes. A crash log was uploaded but I'm not sue to whom - to the KSTARS developers or to Ubuntu.

The crash log is large and binary. Does KSTARS generate a log I can read somewhere?
3 months 3 days ago #85794

Please Log in or Create an account to join the conversation.

  • Posts: 60
  • Thank you received: 7
Hello John,

You didn't say whether you've read the link I sent. That link shows chapter and verse the method to install with Ubuntu 20.04.

That said, your success with the command to fix "broken install" shows that something was not right in the back end.

The crash log is created locally. You'll need to upload it as a zip or similar for anyone to comment.

Damian
WO ZS61 II, ASI183MC Pro, ZWO 120MM-S Guider, ZWO EAF, HEQ5 Pro, INDI/EKOS on Ubuntu 20.04
3 months 3 days ago #85800

Please Log in or Create an account to join the conversation.

  • Posts: 10
  • Thank you received: 0
I did read the link. Apart from the stuff with GPS, it's doing the same as I did.

I could upload the ZIP, but how about I try a different Linux? Any Linux is fine but I don't want to pay for something commercial until I see it work. Debugging Linux apps is a rat hole I would rather avoid.

What's the development operating system? Surely that has to be reliable.

J
3 months 3 days ago #85831

Please Log in or Create an account to join the conversation.

  • Posts: 60
  • Thank you received: 7
Ubuntu 20.04 works fine with this as I understand 22 does.

After you install the OS and before you clone Jasem's PPA, did you run the following to update to latest packages ?

sudo apt-get update
sudo apt-get upgrade

Then do the indi / kstars stuff.
WO ZS61 II, ASI183MC Pro, ZWO 120MM-S Guider, ZWO EAF, HEQ5 Pro, INDI/EKOS on Ubuntu 20.04
3 months 3 days ago #85832

Please Log in or Create an account to join the conversation.

  • Posts: 10
  • Thank you received: 0
I didn't do the upgrade step. I'll strip down and start again.
3 months 2 days ago #85835

Please Log in or Create an account to join the conversation.

  • Posts: 60
  • Thank you received: 7
It's painful to redo but worth a try.

I also noticed that your install string is different.

Mine is:
sudo apt-get install indi-full kstars-bleeding

but yours is:
sudo apt-get install indi-full gsc

I don't know what the package gsc is but I didn't use it. Also you''re missing the kstars package, which contains EKOS.

I also do an update after adding Jasem's PPA.

If all else fails you could try my method and see if you fare any better.
WO ZS61 II, ASI183MC Pro, ZWO 120MM-S Guider, ZWO EAF, HEQ5 Pro, INDI/EKOS on Ubuntu 20.04
3 months 2 days ago #85836

Please Log in or Create an account to join the conversation.

  • Posts: 10
  • Thank you received: 0
Thanks. It's a project for this evening. I'll let you know what happens.
3 months 2 days ago #85837

Please Log in or Create an account to join the conversation.

  • Posts: 6
  • Thank you received: 0
I too am having problems downloading and installing indi/kstars. I hav eadded the mutlaqja repository but when I attempt:

sudo apt-get update I get the following response and a refusal to download any files. I'm using Linux Mint 20.

W: GPG error: ppa.launchpad.net/mutlaqja/ppa/ubuntu focal InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 487CEC2B3F33A288
E: The repository 'ppa.launchpad.net/mutlaqja/ppa/ubuntu focal InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

Help would be gratefully received.
3 months 2 days ago #85846

Please Log in or Create an account to join the conversation.

  • Posts: 215
  • Thank you received: 40
Hi Damian,

GSC is the package that allows the use of simulators in kstars. If you don't use simulators for testing you don't need it.

Cheers
iOptron CEM40G, SharpStar CF90IIApo with Moonlight focuser, ASI294MCpro, ASI120MM-S, DIY MyFocuserPro2, RPi4 8Gb 480SSD running KStars/Ekos/Indi under Ubuntu Mate 22.04, DIY flat box
Skywatcher Flextube 12" Dob, Meade LX75 8SCT, Skywatcher NEQ6Pro

The following user(s) said Thank You: Damian
3 months 2 days ago #85855

Please Log in or Create an account to join the conversation.

  • Posts: 10
  • Thank you received: 0
I'm trying to use Ubuntu for the sake of conformity. I don't know what the different between Mint and Ubuntu is, but as I mentioned earlier, debugging someone else's code on any Linux is a bitch.
3 months 2 days ago #85857

Please Log in or Create an account to join the conversation.

Time to create page: 0.960 seconds